//CFTTTextureOGLES - [2020-04-13 11:57:46]
#ifndef _CFTTTEXTUREOGLES_H_
#define _CFTTTEXTUREOGLES_H_

#include "common.h"
#include "CFTTTexture.h"

/*

00224698 CFTTTextureOGLES::CFTTTextureOGLES()
002246B0 CFTTTextureOGLES::CFTTTextureOGLES(int,int,int,EFTTTexFormat,EFTTTextureType)
00224768 CFTTTextureOGLES::~CFTTTextureOGLES()
002247F0 CFTTTextureOGLES::~CFTTTextureOGLES()
00224724 CFTTTextureOGLES::MallocDataSpace(int,int,int,EFTTTexFormat,int)
002247FE CFTTTextureOGLES::GetDataSize()
0022486C CFTTTextureOGLES::GetPixel(int,int)
002248AC CFTTTextureOGLES::GetPixelMip(int,int,int)
002248B0 CFTTTextureOGLES::LoadPixel(uchar *,int)
002248EA CFTTTextureOGLES::StorePixel(uchar *,uint,int)
00224938 CFTTTextureOGLES::SetPixelARGB(uint,int,int)
002249EC CFTTTextureOGLES::RebuildMipMaps(EFTTTex_MipGenFilter)
002254F4 CFTTTextureOGLES::ApplyTexAddressMode()
0022560A CFTTTextureOGLES::FreeLocalTextureData()
0022561C CFTTTextureOGLES::SetMinFilter(EFTTTex_MinFilter)
0022562C CFTTTextureOGLES::SetMagFilter(EFTTTex_MagFilter)

vptr_CFTTTextureOGLES_328AB4:
  CFTTTextureOGLES::~CFTTTextureOGLES()
  CFTTTextureOGLES::~CFTTTextureOGLES()
  CFTTTextureOGLES::GetDataSize()
  CFTTTextureOGLES::GetPixel(int,int)
  CFTTTextureOGLES::GetPixelMip(int,int,int)
  CFTTTextureOGLES::LoadPixel(uchar *,int)
  CFTTTextureOGLES::StorePixel(uchar *,uint,int)
  CFTTTextureOGLES::SetPixelARGB(uint,int,int)
  CFTTTextureOGLES::RebuildMipMaps(EFTTTex_MipGenFilter)
  CFTTTextureOGLES::FreeLocalTextureData()
  CFTTTextureOGLES::SetMinFilter(EFTTTex_MinFilter)
  CFTTTextureOGLES::SetMagFilter(EFTTTex_MagFilter)

0x30
*/

class CFTTTextureOGLES : public CFTTTexture {
public:
  CFTTTextureOGLES();                                               //00224698
  CFTTTextureOGLES(int, int, int, EFTTTexFormat, EFTTTextureType);  //002246B0
  virtual ~CFTTTextureOGLES();                                      //00224768 //002247F0

  virtual int GetDataSize() const;                    //002247FE
  virtual uchar *GetPixel(int, int);                  //0022486C
  virtual int GetPixelMip(int, int, int);             //002248AC
  virtual int LoadPixel(uchar *, int);                //002248B0
  virtual void StorePixel(uchar *, uint, int);        //002248EA
  virtual void SetPixelARGB(uint, int, int);          //00224938
  virtual void RebuildMipMaps(EFTTTex_MipGenFilter);  //002249EC
  virtual void FreeLocalTextureData();                //0022560A
  virtual void SetMinFilter(EFTTTex_MinFilter);       //0022561C
  virtual void SetMagFilter(EFTTTex_MagFilter);       //0022562C
  void ApplyTexAddressMode();                         //002254F4
  void MallocDataSpace(int a1,
                       int a2,
                       int a3,
                       EFTTTexFormat eFormat4,
                       int a5);  //00224724
};

#endif  //_CFTTTEXTUREOGLES_H_